---
layout: default
title: GitLab Hackathon
description: "Join the community, hack on GitLab and win prizes!"
suppress_header: true
twitter_image: '/images/tweets/hackathon-twitter-card.png'
extra_css:
  - contributing.css
  - styles-2018.css
extra_js:
  - countdown.js
  - hackathon.js
---
.wrapper
  .simple-hero
    .container
      .row
        .col-md-8.col-md-offset-2.hero-image
          = partial "includes/icons/hackathon-header.svg"

      .row
        %h1 GitLab Hackathon

      .row
        .col-md-6.col-md-offset-3
          :markdown
            Get together with the GitLab community to contribute, learn and win exciting prizes.
            <i class="fab fa-gitlab fa-fw" style="color:rgb(252,109,38); font-size:.85em" aria-hidden="true"></i>
            Join us on August 28th - 29th, 2019!
            <i class="fab fa-gitlab fa-fw" style="color:rgb(252,109,38); font-size:.85em" aria-hidden="true"></i>
            <br/><br/>
            <span class="h3" id="nextHackathonCountdown">
            <i class="fas fa-spinner fa-spin fa-fw" style="color:rgb(255,255,255)); font-size:.85em" aria-hidden="true"></i>
            </span>

  #content
    .wrapper.container.contributing-content{role: "main"}
      .block
        .block-content
          %h2.block-title Joining in
          :markdown           
            The Hackathon is a virtual event open to anyone who is interested in contributing code,
            documentation, translations, UX designs and more to GitLab. Prizes are awarded to participants for having Merge Requests (MRs) merged
            and there may also be special award categories at each Hackathon.

            <!-- blank line -->
            <!-- <figure class="video_container">
            <iframe src="https://www.youtube.com/embed/jG1aIJCP-J0" frameborder="0" allowfullscreen="true"> </iframe>
            </figure> -->
            <!-- blank line -->

            To get started:

            1. Block the dates on your calendar!
            1. Check out the [Contribute page](https://about.gitlab.com/contributing/).
            1. Pick an existing issue to work on, or file a new one. If it's your first time contributing, a good way to join the Hackathon is to [pick and fix a bite size issue](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&weight=1&label_name[]=Accepting%20merge%20requests&milestone_title=Backlog). You can also find [issues for more experienced contributors](https://gitlab.com/gitlab-com/marketing/community-relations/contributor-program/hackathon/issues/17#suggested-issues-list). 
            1. [Join the tutorial sessions](#sessions)
            1. Share the MRs you are working on, get help or help others. [Join the party at the contributors channel](#getting-help).

            <!-- <p class="alert alert-gitlab-purple text-center">
            <span class="h3" id="hackathonMRCount">
            <i class="fas fa-spinner fa-spin fa-fw" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>
            </span>
            </p> --> 

      .block
        .block-content
          %h2#contribute-for-prize.block-title
            %a{ href: '#prize' } Hackathon Prizes            

          %p
          .row
            %p
          .row.prizes
            .col-sm-12
              .prize-image
                = image_tag "/images/community/hackathon/Q32019-prizes-v1.png", class: "img-responsive"

          %p
          :markdown
            We are excited to offer the following categories of prizes for this Hackathon:

            1. **Merged MR**: everyone with an MR merged
            1. **Grand Prize**: the individual with the most MRs merged
            
            The plan is to add a **Second Place** prize for the individual(s) with the second most merged MRs and we will have more details soon.

          %p
          :markdown
            <p class="alert alert-info">
            <i class="fas fa-info-circle" aria-hidden="true" style="color: rgb(49, 112, 143);"></i>
            All qualifying MRs must be <em>merged</em> by
            <a href="https://www.timeanddate.com/worldclock/fixedtime.html?iso=20190910T23&p1=1440">September 10 23:00 UTC</a>.
            </p>
          
      .block
        .block-content
          %h2#sessions.block-title
            %a{ href: '#sessions' } Tutorial sessions
          :markdown
            Tutorial sessions during the Hackathon help you get kickstarted with contributing and to learn more about GitLab development. More sessions/speakers will be added as they are confirmed. 
            
          %p

          %table.table
            %thead
              %tr
                %th
                  Date
                %th
                  Time in
                  = link_to "UTC", "https://en.wikipedia.org/wiki/Coordinated_Universal_Time"
                  %br
                  (click for local time)
                %th
                  Topic
                %th
                  Session
                %th
                  Speakers

            %tbody
              %tr
                %td
                  August 28
                %td
                  = link_to "06:00 - 06:30", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20190828T06&p1=1440&am=30"
                %td
                  Hackathon Kickoff
                %td
                  = link_to "Zoom link", "https://gitlab.zoom.us/j/439118473"
                  -# <iframe src="https://www.youtube.com/embed/jG1aIJCP-J0" frameborder="0" allowfullscreen="true"> </iframe>
                  -# = link_to "Presentation", "https://docs.google.com/presentation/d/1qgsVTjA4VPMD0arY8KOk-RT-Mq_ndGQNVZjZXnutZW4"
                %td
                  = link_to "Ray Paik (@rpaik),", "https://gitlab.com/rpaik"
                  = link_to "Dave Planella (@dplanella)", "https://gitlab.com/dplanella"
              %tr
                %td
                  August 28
                %td
                  = link_to "16:00 - 16:30", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20190828T16&p1=1440&am=30"
                %td
                  Contributing to 
                  = link_to "GitLab Design System", "https://design.gitlab.com"
                %td
                  = link_to "Zoom link", "https://gitlab.zoom.us/j/149232003" 
                  -# <iframe src="https://www.youtube.com/embed/n2oERHm5ytg" frameborder="0" allowfullscreen="true"> </iframe>
                  -# = link_to "Presentation", "https://docs.google.com/presentation/d/1KIvg0a0c1olivan1TM9SUJpWfz1Mpwv9Qavb0OPpcNg"
                %td
                  = link_to "George Tsiolis (@gtsiolis)", "https://gitlab.com/gtsiolis"
                  = link_to "Taurie Davis (@tauriedavis)", "https://gitlab.com/tauriedavis"
              %tr
                %td
                  August 28
                %td
                  -# = link_to "16:30 - 17:00", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20190529T1630&p1=1440&am=30"
                %td
                  -# = link_to "GitLab Release Stage", "https://about.gitlab.com/handbook/product/categories/#release-stage"
                %td
                  -# <iframe src="https://www.youtube.com/embed/CC1yn03WWls" frameborder="0" allowfullscreen="true"> </iframe>
                %td
                  -# = link_to "Jason Lenny (@jlenny)", "https://gitlab.com/jlenny"
              %tr
                %td
                  August 29
                %td
                  -# = link_to "17:00 - 17:30", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20190529T17&p1=1440&am=30"
                %td
                  -# GitLab Monitor
                %td
                  -# <iframe src="https://www.youtube.com/embed/mm_8wVjn808" frameborder="0" allowfullscreen="true"> </iframe>
                  -# = link_to "Monitor issues for Community Contribution", "https://docs.google.com/presentation/d/18dp8lTg7LoimZCHQnZJK8rCo63tf7DBcavzz23_Hq_A/"
                %td
                  -# = link_to "Joshua Lambert (@joshlambert)", "https://gitlab.com/joshlambert"                  
              %tr
                %td
                  August 29
                %td
                  = link_to "22:00 - 22:30", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20190829T22&p1=1440&am=30"
                %td
                  Hackathon wrap-up
                %td
                  = link_to "Zoom link", "https://gitlab.zoom.us/j/206524400"
                  -# <iframe src="https://www.youtube.com/embed/w-Ue3f8OZAQ" frameborder="0" allowfullscreen="true"> </iframe>
                  -# = link_to "Presentation", "https://docs.google.com/presentation/d/1N56NQZUPGlx1n1tEP9ew7PY_KBdZT_fTuTa4iabw-FU/"
                %td
                  = link_to "Ray Paik (@rpaik)", "https://gitlab.com/rpaik"

          %p
          :markdown
            <p class="alert alert-info">
            <i class="fas fa-info-circle" aria-hidden="true" style="color: rgb(49, 112, 143);"></i>
            If you miss any of the sessions, you will find the recordings in the
            <a href="https://www.youtube.com/playlist?list=PLFGfElNsQthapq-CyXBTVnT2yKqg1JrNh">Hackathon Playlist</a>.
            </p>

          %h3#getting-help.block-title
            %a{ href: '#getting-help' } Getting help
          %p
          :markdown
            For communications during the Hackathon, we will use the GitLab Contributors room in Gitter. This is a channel for community-related discussions and for community members to help each other as people have questions when contributing to GitLab.

            It's open to everyone, so please [join us at the Contributors Gitter room](https://gitter.im/gitlabhq/contributors)!

      .block
        .block-content
          %h2#contribute-for-prize.block-title 
            %a{ href: '#contribute-for-prize' } Missed the last Hackathon?
          :markdown  
            If you missed the previous Hackathon, you still have an opportunity to contribute for a prize.  You can start by searching for priority issues with the label `Contribute for prize` as you can see in this [query](https://gitlab.com/gitlab-org/gitlab-ce/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Contribute%20for%20prize).  For the next few months, anyone who works on these issues and have an MR merged will receive the [GitLab moleskin note book (photo below)](https://shop.gitlab.com/collections/frontpage/products/gitlab-moleskin). If you're interested in working on these `Contribute for prize` items, you can mention `@rpaik` in the issue so that it can be assigned to you.    
            
          %p  
          
          .row
            %p
          .row.contributeforprize
            .col-sm-4
              .prize-image
                = image_tag "/images/community/hackathon/moleskin.png", class: "img-responsive"
          %p            
          
      .block
        .block-content
          %h2#past-events.block-title
            %a{ href: '#past-events' } Past events

          %p
            To learn more about previous Hackathon events, visit the
            %a{href: "https://about.gitlab.com/community/hackathon/past-events.html"} past GitLab Hackathons page.

      .block
        .block-content
          #hackathon-q-a.animated
            %h2#faq.block-title
              %a{ href: '#faq' } Frequently Asked Questions
            .faq-holder.clearfix
              %ol.faq-container.list-unstyled
                %li.faq-item
                  .faq-inner-item
                    %a.faq-question.js-faq-question
                      Which GitLab projects qualify for the Hackathon?
                      %i.fa.fa-angle-down.pull-right
                    .faq-answer
                      :markdown
                        While we generally encourage contribution to the [GitLab CE](https://gitlab.com/gitlab-org/gitlab-ce)
                        and the [GitLab EE](https://gitlab.com/gitlab-org/gitlab-ee) projects, MRs for any project under the
                        [`gitlab-org` group](https://gitlab.com/gitlab-org), [Charts](https://gitlab.com/charts), [Meltano](https://gitlab.com/meltano), and [www-gitlab-com](https://gitlab.com/gitlab-com/www-gitlab-com) qualify for the Hackathon. If you are in doubt about a project which is not on this list, please do ask us on the [Contributors Gitter channel](https://gitter.im/gitlabhq/contributors).

              %ol.faq-container.list-unstyled
                %li.faq-item
                  .faq-inner-item
                    %a.faq-question.js-faq-question
                      What are the key dates for the current Hackathon?
                      %i.fa.fa-angle-down.pull-right
                    .faq-answer
                      :markdown
                        - [August 28 06:00 UTC](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20190828T06&p1=1440&am=30): Hackathon kickoff session
                        - [August 29 22:00 UTC](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20190829T22&p1=1440&am=30): Hackathon wrap-up session
                        - [September 10 23:00 UTC](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20190910T23&p1=1440): all qualifying MRs must have been _merged_
